Vocal Doubler System Requirements

Latest Update: 1.00 |  Released: September 27, 2018

PC: Windows 7 - Windows 10

Mac: OS X 10.8.5 (Mountain Lion) - macOS 10.13 (High Sierra)

  • NOTE: We are currently in the process of qualifying our most current products for Mojave 10.14 support. At this time, we recommend that our community wait to update to ensure the smoothest possible experience with our products. More information on Mojave support will be available very soon.


Plug-in Formats:

  • AudioUnit

  • AAX (64-bit), AAX-AS (64-bit AudioSuite)

  • VST 2

  • VST 3

Supported Plug-in Host Applications:

Logic Pro X, Ableton Live 9-10, Pro Tools 11-2018, Cubase 9.5, Nuendo 8, FL Studio 12, Studio One 3-4, Reason 10, Reaper 5, Audition CC 2018, Premiere Pro CC 2018, Digital Performer 9